<!DOCTYPE html>
<!--

    Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016)

    This software is a computer program whose purpose is to maintain and
    administrate standalone forms.

    This software is governed by the CeCILL  license under French law and
    abiding by the rules of distribution of free software.  You can  use,
    modify and/ or redistribute the software under the terms of the CeCILL
    license as circulated by CEA, CNRS and INRIA at the following URL
    "http://www.cecill.info".

    As a counterpart to the access to the source code and  rights to copy,
    modify and redistribute granted by the license, users are provided only
    with a limited warranty  and the software's author,  the holder of the
    economic rights,  and the successive licensors  have only  limited
    liability.

    In this respect, the user's attention is drawn to the risks associated
    with loading,  using,  modifying and/or developing or reproducing the
    software by the user in light of its specific status of free software,
    that may mean  that it is complicated to manipulate,  and  that  also
    therefore means  that it is reserved for developers  and  experienced
    professionals having in-depth computer knowledge. Users are therefore
    encouraged to load and test the software's suitability as regards their
    requirements in conditions enabling the security of their systems and/or
    data to be ensured and,  more generally, to use and operate it in the
    same conditions as regards security.

    The fact that you are presently reading this means that you have had
    knowledge of the CeCILL license and that you accept its terms.

-->
<html xmlns:th="http://www.thymeleaf.org" th:replace="~{commons/layout/default(scripts=~{::scripts}, globalContent=~{::globalContent}, breadcrumbs=~{::breadcrumbs})}">
<head>
<title>Stamper Administration Console</title>


<th:block th:fragment="scripts">
    <script th:src="@{/js/app/signature/edit.js}"></script>
</th:block>
</head>
<body>
    <div th:fragment="globalContent">
	        <div id="breadcrumbs">
	            <ol id="breadcrumbs" class="breadcrumb">
		            <li><a th:href="${@appProperties.getProperty('frontUrl')}" th:text="#{Home}"></a></li>
		            <li><a th:href="${@appProperties.getProperty('ui.dashboard.url')}" th:text="#{My records}"></a></li>
		        </ol>
		    </div>
            <div class="row">
                <div class="col-md-12">
	                <form name="record" th:action="@{'/public/document/upload?token=' + ${token}}" method="post" enctype="multipart/form-data" class="row">
	                    <div class="panel panel-primary">
							<div class="panel-heading">
								<h3 class="panel-title">
								    <span th:text="#{Signature électronique de votre dossier}"></span>
								 </h3>
							</div>
							<div class="panel-body-container">
								<div class="panel-body">
									<div class="form-group">
										<th:block th:text="#{You are going to sign this document :}" />
										<a class="btn btn-primary" th:href="@{'/public/document/' +  '/download/' +${token} +'?modal=false'}"  th:text="#{Download}"></a>&nbsp
										<a class ='btn btn-primary view-pdf' th:href="@{'/public/document/' +  '/download/' +${token}+'?modal=true' }" th:text="#{Display}"></a></a>
									</div>
									<div class="form-group">
									    <p th:text="#{Please attach an ID card :}" />
									</div>
			                        <div class="form-group row">
			                            <label for="name" class="col-sm-12" th:text="#{First name}">ID card</label>
			                            <div class="col-md-4">
			                                <input class="form-control" type="input" name="firstname" th:value="${firstName}" readonly required="true" />
			                            </div>
			                        </div>
			                        <div class="form-group row">
			                            <label for="lastName" class="col-sm-12 control-label" th:text="#{Last name}">ID card</label>
			                            <div class="col-md-4">
			                                <input class="form-control" type="input" name="lastname" th:value="${lastName}" readOnly required="true" />
			                            </div>
			                        </div>
			                        <div class="form-group row">
			                            <label for="phone.international" class="col-sm-2" th:text="#{Phone}">Phone</label>
			                            <div id="phone" class="col-md-12">
			                                <input type="tel" class="form-control" name="phone.international" th:value="${null == phone ? '' : phone.international}" required="true" />
			                                <input type="hidden" name="phone.country" th:value="${null == phone ? '' : phone.country }" />
			                                <input type="hidden" name="phone.e164" th:value="${null == phone ? '' : phone.e164}" />
			                            </div>
			                        </div>
			                        <div class="form-group row">
			                            <label for="file" class="col-sm-2" th:text="#{ID card}">ID card</label>
			                            <div class="col-md-12">
			                                <input id="input-id" name="input-file[]" required  type="file" multiple="true" data-language="fr"  data-theme="fa" >
			                            </div>
			                        </div>
								</div>
							</div>
						</div>
						<div class="alert alert-info">
						    <strong th:text="#{Redirection :}"/>
                        </div>
				        <div class="row submit-buttons">
				            <div class="col-md-12">
	                             <button id="btn-return" class="btn btn-back" type="button" onclick="javascript:history.back();" th:text="#{Back to the previous step}">Retour à l'étape précédente</button>
	                             <input type="hidden" name="referer" th:value="${referer}" />
	                             <button id="btn-document-submit" class="btn btn-primary" type="submit" th:text="#{Validate}">Valider</button>
				            </div>
				        </div>
	                </form>
<!--                     <p> -->
<!--                         <th:block th:text="#{You are going to sign this document :}" /> -->
<!--                          <a class="btn btn-primary" th:href="@{'/public/document/' +  '/download/' +${token} +'?modal=false'}"  th:text="#{Download}"></a>&nbsp -->
<!--                          <a class ='btn btn-primary view-pdf' th:href="@{'/public/document/' +  '/download/' +${token}+'?modal=true' }" th:text="#{Display}"></a></a> -->
<!--                     </p> -->
<!--                     <br/> -->
<!--                     <p th:text="#{Please attach an ID card :}" /> -->
<!--                     <br /> -->
<!--                     <form name="signatureForm" th:action="@{'/public/document/upload?token=' + ${token}}" method="post" enctype="multipart/form-data"> -->
<!--                         <div class="form-group row"> -->
<!--                             <label for="name" class="col-sm-12" th:text="#{First name}">ID card</label> -->
<!--                             <div class="col-md-4"> -->
<!--                                 <input class="form-control" type="input" name="firstname" th:value="${firstName}" readonly required="true" /> -->
<!--                             </div> -->
<!--                         </div> -->
<!--                         <div class="form-group row"> -->
<!--                             <label for="lastName" class="col-sm-12 control-label" th:text="#{Last name}">ID card</label> -->
<!--                             <div class="col-md-4"> -->
<!--                                 <input class="form-control" type="input" name="lastname" th:value="${lastName}" readOnly required="true" /> -->
<!--                             </div> -->
<!--                         </div> -->
<!--                         <div class="form-group row"> -->
<!--                             <label for="phone.international" class="col-sm-2" th:text="#{Phone}">Phone</label> -->
<!--                             <div id="phone" class="col-md-12"> -->
<!--                                 <input type="tel" class="form-control" name="phone.international" th:value="${null == phone ? '' : phone.international}" required="true" /> -->
<!--                                 <input type="hidden" name="phone.country" th:value="${null == phone ? '' : phone.country }" /> -->
<!--                                 <input type="hidden" name="phone.e164" th:value="${null == phone ? '' : phone.e164}" /> -->
<!--                             </div> -->
<!--                         </div> -->
<!--                         <div class="form-group row"> -->
<!--                             <label for="file" class="col-sm-2" th:text="#{ID card}">ID card</label> -->
<!--                             <div class="col-md-12"> -->
<!--                                 <input id="input-id" name="input-file[]" required  type="file" multiple="true" data-language="fr"  data-theme="fa" > -->
<!--                             </div> -->
<!--                         </div> -->
<!--                         <div class="alert alert-info"> -->
<!--                         <strong th:text="#{Redirection :}"/> -->
<!--                         </div> -->
<!--                         <div class="form-group row"> -->
<!--                             <div class="col-md-offset-8 col-md-4" style="text-align: right"> -->
<!--                                 <button id="btn-return" class="btn btn-back" type="button" onclick="javascript:history.back();" th:text="#{Back to the previous step}">Retour à l'étape précédente</button> -->
<!--                                 <input type="hidden" name="referer" th:value="${referer}" /> -->
<!--                                 <button id="btn-document-submit" class="btn btn-primary" type="submit" th:text="#{Validate}">Valider</button> -->
<!--                             </div> -->
<!--                         </div> -->
<!--                     </form> -->
                </div>
            </div>
        </div>
</body>
</html>